<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>DPathSearchUnit</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathSearchUnit";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchUnit.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.search</div>
<h2 title="Class DPathSearchUnit" class="title">Class DPathSearchUnit</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.search.DPathSearchUnit</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">DPathSearchUnit</span>
extends java.lang.Object</pre>
<div class="block">Unit of search for DPath query language</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathCoord</a></strong></code>
<div class="block">Apply union or intersection between dpath expression</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathExpression</a></strong></code>
<div class="block">Evaluate a dpath expression</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathFilter</a></strong></code>
<div class="block">Filter an entry set using the mapped result of search units process list applied over the entry set</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathNavigate</a></strong></code>
<div class="block">Generate a new set from the entry set using predefined navigation axis</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></strong></code>
<div class="block">Common interface for function that define a search unit (navigation, filter, test)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathTest</a></strong></code>
<div class="block">Test a property of node/edge and consequently filter the entry input</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#function">function</a></strong></code>
<div class="block">Associated function to this search unit</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#mappedResultElts">mappedResultElts</a></strong></code>
<div class="block">raw output (mapped with the source input)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#resultElts">resultElts</a></strong></code>
<div class="block">unified output</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#sourceElts">sourceElts</a></strong></code>
<div class="block">source input of the search unit</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#DPathSearchUnit(fr.inria.alpage.frmgcm.search.DPathSearchUnit.DPathSearchFunction)">DPathSearchUnit</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a>&nbsp;function)</code>
<div class="block">Construct a search unit from a <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search"><code>DPathSearchUnit.DPathSearchFunction</code></a></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#execute(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement,%20java.util.ArrayList)">execute</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a>&nbsp;sentence,
       java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entrySet)</code>
<div class="block">Execute this search unit</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#getMappedResult()">getMappedResult</a></strong>()</code>
<div class="block">Get the mapped result of this search unit</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#getResult()">getResult</a></strong>()</code>
<div class="block">Get the result of this search unit</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="sourceElts">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sourceElts</h4>
<pre>private&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt; sourceElts</pre>
<div class="block">source input of the search unit</div>
</li>
</ul>
<a name="mappedResultElts">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mappedResultElts</h4>
<pre>private&nbsp;java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt; mappedResultElts</pre>
<div class="block">raw output (mapped with the source input)</div>
</li>
</ul>
<a name="resultElts">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resultElts</h4>
<pre>private&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt; resultElts</pre>
<div class="block">unified output</div>
</li>
</ul>
<a name="function">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>function</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a> function</pre>
<div class="block">Associated function to this search unit</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DPathSearchUnit(fr.inria.alpage.frmgcm.search.DPathSearchUnit.DPathSearchFunction)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPathSearchUnit</h4>
<pre>public&nbsp;DPathSearchUnit(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a>&nbsp;function)</pre>
<div class="block">Construct a search unit from a <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search"><code>DPathSearchUnit.DPathSearchFunction</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>function</code> - the <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search"><code>DPathSearchUnit.DPathSearchFunction</code></a> that will define this search unit</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="execute(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement, java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;void&nbsp;execute(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a>&nbsp;sentence,
           java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entrySet)</pre>
<div class="block">Execute this search unit</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>sentence</code> - the base sentence (<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search"><code>DPathSearchMod.DPathSearchBaseElement</code></a>) that is used as a context for the entrySet</dd><dd><code>entrySet</code> - the entry set of nodes or edges to apply the search unit over</dd></dl>
</li>
</ul>
<a name="getResult()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResult</h4>
<pre>public&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;getResult()</pre>
<div class="block">Get the result of this search unit</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the list of nodes or edges that resulted from this search unit</dd></dl>
</li>
</ul>
<a name="getMappedResult()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMappedResult</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;&nbsp;getMappedResult()</pre>
<div class="block">Get the mapped result of this search unit</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the result list of lists of nodes or edges that are mapped to their originated input</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchUnit.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
